<div class="content" fxFlex="100">
  <div *ngIf="hasData > 0; else noData">
    <div fxHide.gt-sm fxLayout="column" fxLayoutAlign="center" fxLayoutGap="1rem">
      <app-profile-informations-card></app-profile-informations-card>
      <app-book-card-list
        [title]="'DASHBOARD.NEXT_BOOK_TO_READ.TITLE'| translate"
        [list]="nextBookToRead$ | async"
        [nextPageDisabled]="(asMoreBookToRead$ | async) === false"
        (nextPage)="moreNextBookToRead()"
      ></app-book-card-list>
    </div>

    <div fxHide.lt-md fxLayout="row" fxLayoutAlign="center" fxLayoutGap="1rem">
      <div fxFlex.gt-lg="30" fxFlex.md="70">
        <app-book-card-list
          [title]="'DASHBOARD.NEXT_BOOK_TO_READ.TITLE'| translate"
          [list]="nextBookToRead$ | async"
          [nextPageDisabled]="(asMoreBookToRead$ | async) === false"
          (nextPage)="moreNextBookToRead()"
          (readItem)="setItemToRead($event)"
        ></app-book-card-list>
      </div>
      <div fxLayout="column" fxLayoutGap="1rem" fxFlex.gt-lg="25" fxFlex.md="30">
        <app-profile-informations-card></app-profile-informations-card>
        <mat-card>
          <mat-card-header>
            <h1>{{ 'DASHBOARD.RECENT_BOOK.TITLE'| translate }}</h1>
          </mat-card-header>
          <mat-card-content>
            <div fxLayoutGap="1rem" fxLayout="column" *ngFor="let item of (lastAddedItems$ | async)">
              <div fxLayout="column" *ngIf="item">
                <div fxLayout="row">
                  <div fxFlex fxLayout="column">
                    <h3 fxLayout="row" fxLayoutAlign="space-between center">
                  <span>
                    <span style="display: block">
                      <app-book-status [status]="item.status" [withText]="false"></app-book-status>
                      {{ item.book.title }}
                      <span *ngIf="item.book.series?.tome !== null">(T{{ item.book.series?.tome }})</span> </span>
                      <app-series-name-display [series]="item.book.series"></app-series-name-display>
                  </span>
                    </h3>
                  </div>
                </div>
              </div>
            </div>
          </mat-card-content>
        </mat-card>
      </div>
    </div>
  </div>

  <ng-template #noData>
    <div fxLayout="column" fxLayoutAlign="center">
      <div fxLayout="row" fxLayoutAlign="center">
        <h1 style="text-align: center">{{ 'DASHBOARD.NO_DATA'| translate }}</h1>
      </div>
      <div fxLayout="row" fxLayoutAlign="center" *ngIf="(isAuthenticated$ | async)">
        <button mat-button mat-stroked-button color="primary" [routerLink]="['/', 'administration', 'book', 'add']">
          <fa-icon [icon]="['fas', 'plus']" style="padding-right: 10px"></fa-icon>
          <span>{{ 'DASHBOARD.BOOK.ADD' | translate }}</span>
        </button>
      </div>
    </div>
  </ng-template>
</div>
